Activity Runs - Query By Pipeline Run

クエリ アクティビティは、入力フィルター条件に基づいて実行されます。

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/microsoft.DataFactory/factories/{factoryName}/pipelineruns/{runId}/queryActivityruns?api-version=2018-06-01

URI パラメーター

名前 / 必須 説明
factoryName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$
resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

runId
path True

string

パイプライン実行識別子。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

要求本文

名前 必須 説明
lastUpdatedAfter True

string (date-time)

実行イベントが 'ISO 8601' 形式で更新された時刻以降。

lastUpdatedBefore True

string (date-time)

実行イベントが 'ISO 8601' 形式で更新された時刻またはそれ以前。

continuationToken

string

結果の次のページを取得するための継続トークン。 最初のページの場合は Null。

filters

RunQueryFilter[]

フィルターの一覧。

orderBy

RunQueryOrderBy[]

OrderBy オプションの一覧。

応答

名前 説明
200 OK

ActivityRunsQueryResponse

Azureの運用は無事に完了しました。

Other Status Codes

CloudError

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

ActivityRuns_QueryByPipelineRun

要求のサンプル

POST https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/microsoft.DataFactory/factories/exampleFactoryName/pipelineruns/2f7fdb90-5df1-4b8e-ac2f-064cfa58202b/queryActivityruns?api-version=2018-06-01

{
  "lastUpdatedAfter": "2018-06-16T00:36:44.3345758Z",
  "lastUpdatedBefore": "2018-06-16T00:49:48.3686473Z"
}

応答のサンプル

Date: Sat, 16 Jun 2018 00:40:13 GMT
X-Content-Type-Options: nosniff
x-ms-correlation-request-id: 5465cf41-2e71-4ce6-8db4-9de1b92ffda9
x-ms-ratelimit-remaining-subscription-writes: 1187
x-ms-request-id: 5465cf41-2e71-4ce6-8db4-9de1b92ffda9
{
  "value": [
    {
      "activityName": "ExampleForeachActivity",
      "activityRunEnd": "2018-06-16T00:38:11.5445431Z",
      "activityRunId": "f30c5514-fb85-43ed-9fa4-768d42e58680",
      "activityRunStart": "2018-06-16T00:37:49.4804925Z",
      "activityType": "ForEach",
      "durationInMs": 22064,
      "error": {
        "errorCode": "",
        "failureType": "",
        "message": "",
        "target": "ExampleForeachActivity"
      },
      "input": {},
      "linkedServiceName": "",
      "output": {},
      "pipelineName": "examplePipeline",
      "pipelineRunId": "2f7fdb90-5df1-4b8e-ac2f-064cfa58202b",
      "retryAttempt": null,
      "status": "Succeeded",
      "userProperties": {}
    },
    {
      "activityName": "ExampleCopyActivity",
      "activityRunEnd": "2018-06-16T00:38:07.4188923Z",
      "activityRunId": "a96678c8-7167-4f00-b629-afccfbad4e51",
      "activityRunStart": "2018-06-16T00:37:50.2460952Z",
      "activityType": "Copy",
      "durationInMs": 17172,
      "error": {
        "errorCode": "",
        "failureType": "",
        "message": "",
        "target": "ExampleCopyActivity"
      },
      "input": {
        "dataIntegrationUnits": 32,
        "sink": {
          "type": "BlobSink"
        },
        "source": {
          "type": "BlobSource"
        }
      },
      "linkedServiceName": "",
      "output": {
        "copyDuration": 6,
        "dataRead": 142000,
        "dataWritten": 142000,
        "effectiveIntegrationRuntime": "DefaultIntegrationRuntime (East US)",
        "errors": [],
        "executionDetails": [
          {
            "detailedDurations": {
              "queuingDuration": 4,
              "transferDuration": 2
            },
            "duration": 6,
            "sink": {
              "type": "AzureBlob"
            },
            "source": {
              "type": "AzureBlob"
            },
            "start": "2018-06-16T00:37:50.68834Z",
            "status": "Succeeded",
            "usedCloudDataMovementUnits": 4,
            "usedParallelCopies": 1
          }
        ],
        "filesRead": 1,
        "filesWritten": 1,
        "throughput": 23.112,
        "usedCloudDataMovementUnits": 4,
        "usedParallelCopies": 1
      },
      "pipelineName": "examplePipeline",
      "pipelineRunId": "2f7fdb90-5df1-4b8e-ac2f-064cfa58202b",
      "retryAttempt": null,
      "status": "Succeeded",
      "userProperties": {}
    }
  ]
}

定義

名前 説明
ActivityRun

パイプラインでのアクティビティの実行に関する情報。

ActivityRunsQueryResponse

リスト アクティビティが実行されます。

CloudError

Azure Data Factory エラー応答の構造を定義するオブジェクト。

RunFilterParameters

実行を一覧表示するためのクエリ パラメーター。

RunQueryFilter

実行を一覧表示するためのクエリ フィルター オプション。

RunQueryFilterOperand

フィルターに使用するパラメーター名。 パイプライン実行のクエリに使用できるオペランドは、PipelineName、RunStart、RunEnd、Status です。アクティビティ実行のクエリには ActivityName、ActivityRunStart、ActivityRunEnd、ActivityType、Status があり、クエリ トリガーの実行には TriggerName、TriggerRunTimestamp、Status があります。

RunQueryFilterOperator

フィルターに使用する演算子。

RunQueryOrder

パラメーターの並べ替え順序。

RunQueryOrderBy

実行を一覧表示するためのオプション別の順序を指定するオブジェクト。

RunQueryOrderByField

順序付けに使用するパラメーター名。 パイプラインの実行で順序付けできるパラメーターは、PipelineName、RunStart、RunEnd、Status です。アクティビティの実行は ActivityName、ActivityRunStart、ActivityRunEnd、Status です。トリガーの実行には、TriggerName、TriggerRunTimestamp、および Status があります。

ActivityRun

パイプラインでのアクティビティの実行に関する情報。

名前 説明
activityName

string

活動の名前。

activityRunEnd

string (date-time)

アクティビティの終了時刻を 'ISO 8601' 形式で実行します。

activityRunId

string

アクティビティの実行の ID。

activityRunStart

string (date-time)

アクティビティ実行の開始時刻を 'ISO 8601' 形式で指定します。

activityType

string

アクティビティの種類。

durationInMs

integer (int32)

アクティビティの実行時間。

error

アクティビティが実行された場合のエラー。

input

アクティビティの入力。

linkedServiceName

string

コンピューティングのリンクされたサービスの名前。

output

アクティビティの出力。

pipelineName

string

パイプラインの名前。

pipelineRunId

string

パイプライン実行の ID。

status

string

アクティビティの実行の状態。

ActivityRunsQueryResponse

リスト アクティビティが実行されます。

名前 説明
continuationToken

string

残りの結果が存在する場合は、結果の次のページを取得するための継続トークン。それ以外の場合は null。

value

ActivityRun[]

アクティビティの実行の一覧。

CloudError

Azure Data Factory エラー応答の構造を定義するオブジェクト。

名前 説明
error.code

string

エラー コード。

error.details

CloudError[]

追加のエラーの詳細を含む配列。

error.message

string

エラーメッセージ。

error.target

string

エラーに関連付けられている要求のプロパティ名/パス。

RunFilterParameters

実行を一覧表示するためのクエリ パラメーター。

名前 説明
continuationToken

string

結果の次のページを取得するための継続トークン。 最初のページの場合は Null。

filters

RunQueryFilter[]

フィルターの一覧。

lastUpdatedAfter

string (date-time)

実行イベントが 'ISO 8601' 形式で更新された時刻以降。

lastUpdatedBefore

string (date-time)

実行イベントが 'ISO 8601' 形式で更新された時刻またはそれ以前。

orderBy

RunQueryOrderBy[]

OrderBy オプションの一覧。

RunQueryFilter

実行を一覧表示するためのクエリ フィルター オプション。

名前 説明
operand

RunQueryFilterOperand

フィルターに使用するパラメーター名。 パイプライン実行のクエリに使用できるオペランドは、PipelineName、RunStart、RunEnd、Status です。アクティビティ実行のクエリには ActivityName、ActivityRunStart、ActivityRunEnd、ActivityType、Status があり、クエリ トリガーの実行には TriggerName、TriggerRunTimestamp、Status があります。

operator

RunQueryFilterOperator

フィルターに使用する演算子。

values

string[]

フィルター値の一覧。

RunQueryFilterOperand

フィルターに使用するパラメーター名。 パイプライン実行のクエリに使用できるオペランドは、PipelineName、RunStart、RunEnd、Status です。アクティビティ実行のクエリには ActivityName、ActivityRunStart、ActivityRunEnd、ActivityType、Status があり、クエリ トリガーの実行には TriggerName、TriggerRunTimestamp、Status があります。

説明
PipelineName

パイプライン名

Status

地位

RunStart

ランスタート

RunEnd

RunEnd

ActivityName

活動名

ActivityRunStart

アクティビティランスタート

ActivityRunEnd

ActivityRunEnd

ActivityType

アクティビティの種類

TriggerName

トリガー名

TriggerRunTimestamp

トリガーランタイムスタンプ

RunGroupId

RunGroupID

LatestOnly

最新

RunQueryFilterOperator

フィルターに使用する演算子。

説明
Equals

等しい

NotEquals

NotEquals

In

In

NotIn

ノットイン

RunQueryOrder

パラメーターの並べ替え順序。

説明
ASC

ASC

DESC

DESC

RunQueryOrderBy

実行を一覧表示するためのオプション別の順序を指定するオブジェクト。

名前 説明
order

RunQueryOrder

パラメーターの並べ替え順序。

orderBy

RunQueryOrderByField

順序付けに使用するパラメーター名。 パイプラインの実行で順序付けできるパラメーターは、PipelineName、RunStart、RunEnd、Status です。アクティビティの実行は ActivityName、ActivityRunStart、ActivityRunEnd、Status です。トリガーの実行には、TriggerName、TriggerRunTimestamp、および Status があります。

RunQueryOrderByField

順序付けに使用するパラメーター名。 パイプラインの実行で順序付けできるパラメーターは、PipelineName、RunStart、RunEnd、Status です。アクティビティの実行は ActivityName、ActivityRunStart、ActivityRunEnd、Status です。トリガーの実行には、TriggerName、TriggerRunTimestamp、および Status があります。

説明
RunStart

ランスタート

RunEnd

RunEnd

PipelineName

パイプライン名

Status

地位

ActivityName

活動名

ActivityRunStart

アクティビティランスタート

ActivityRunEnd

ActivityRunEnd

TriggerName

トリガー名

TriggerRunTimestamp

トリガーランタイムスタンプ